Page MenuHomePhabricator

Track pageviews of specific pages that are rendered with ArticlePlaceholders
Open, NormalPublic

Description

Please create a way for editors to see which specific ArticlePlaceholders are most often viewed/rendered.
This will help the local community to prioritize article creation and/or translation.
E.g. if https://eo.wikipedia.org/wiki/Speciala%C4%B5o:AboutTopic/Q300915 was consistently getting the most views out of all uses of Special:AboutTopic at that wiki, then local editors could focus on writing that article.

Event Timeline

Quiddity created this task.Apr 8 2016, 10:26 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 8 2016, 10:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ricordisamoa added a subscriber: Ricordisamoa.
Lydia_Pintscher triaged this task as Normal priority.Apr 21 2016, 1:26 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Is there anything special we need to do? Or do they just show up in regular page view stats?

Is there anything special we need to do? Or do they just show up in regular page view stats?

They should just show up in the regular page view stats! :)

Lydia_Pintscher closed this task as Resolved.May 12 2016, 7:43 PM
Lydia_Pintscher claimed this task.

@Addshore and @Lydia_Pintscher will it be possible to see these separately at all? If so, where?

The idea suggested at the Hackathon by a few people, was "A way to see the most-viewed titles, so that the local community can focus their creation/translation efforts in the places where they might have the most usefulness."

The only page I can think of where it might be, is https://tools.wmflabs.org/topviews/?project=eo.wikipedia.org&platform=all-access&start=2016-05-01&end=2016-05-11
but that only lists Speciàle:AboutTopic a single time (~position #140, with 118 views at this moment), so we can't tell which titles specifically are being looked at...

Lydia_Pintscher reopened this task as Open.May 13 2016, 9:22 AM
Lydia_Pintscher removed Lydia_Pintscher as the assignee of this task.May 19 2016, 12:48 PM
This comment was removed by Addshore.

@Lucie right now I feel like it would be better to talk to the analytics team about this and the people working on the page view API.

It may be possible for an api endpoint to be created finding the most viewed sub pages of a special page?

Restricted Application added a project: Analytics. · View Herald TranscriptMay 19 2016, 1:25 PM
Lucie removed Addshore as the assignee of this task.May 19 2016, 1:25 PM
Nuria added a subscriber: Nuria.EditedMay 23 2016, 4:32 PM

I am not sure this requires any works from analytics team. Seems like the data you need is already available on pageview API.

You just need to find out which are the pages you are interested in finding pageview stats for qnd querying the pageview API with those.

correct?

Quiddity renamed this task from Track pageviews of ArticlePlaceholders to Track pageviews of specific pages that are rendered with ArticlePlaceholders.Aug 3 2016, 8:13 PM
Quiddity reopened this task as Open.
Quiddity updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.Aug 4 2016, 6:21 PM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Aug 15 2016, 1:19 PM

I am not sure this requires any works from analytics team. Seems like the data you need is already available on pageview API.
You just need to find out which are the pages you are interested in finding pageview stats for qnd querying the pageview API with those.
correct?

So I believe that this ticket is talking about wanting a list of these pages with the most views. A broader way of describing this would be a list of pages on a project or across multiple projects that have the most views based on a prefix.

So someone would query for something like:

project=* prefix=Special:AboutTopic/

or

project=enwiki prefix=Special:AboutTopic/

And would then be returned a list such as:

193 Special:AboutTopic/Q123
89 Special:AboutTopic/Q92183
73 Special:AboutTopic/Q111
20 Special:AboutTopic/Q43
1 Special:AboutTopic/999
1 Special:AboutTopic/987

Whould this be something that the analytics team could add to the pageview api?

I do however already see an issue here, as the specialpage namespace is localised and thus getting this data may be hard.

If this is not something that the analytics team would like to see in the pageview api then we will have to explore other routes of regularly getting and publishing the data, the hive query for this from the webrequest table should be fairly straight forward.

Nuria added a comment.Aug 15 2016, 6:11 PM

Comments from the project standpoint:

@Addshore: we will not be adding new features to Pageview API until we have finished our scaling project and added counting of pageviews for wikis for which it is not happening (ex: outreachwiki)

Any feature additions will happen either end of next quarter (November) or later.

Technical comments:

prefix=Special:AboutTopic/

Having queries such as this one pushes a lot of knowledge about mediawiki urls into the pageview API, we want to keep the API mediawiki agnostic as much as as possible and the parsing of those pageviews (if indeed each record is a different page) should happen earlier in the pipeline.

A better semantics would be to have categories under which pages live like: "data-item" or "medical" so you could query for pages like category=data-item
and page=Q2834518. Then a pageview for https://lv.wikipedia.org/wiki/Special:AboutTopic/Q2834518 would show in your query.

The Special:AboutTopic seems really a work around needed in mediawiki that should not be propagated.

hoo added a subscriber: hoo.Oct 30 2016, 11:30 PM
hoo moved this task from To Do Next to Backlog on the ArticlePlaceholder board.Oct 29 2017, 10:50 AM